FRS Forcing update to 3.0?

  • 2
  • Problem
  • Updated 2 months ago
I've been using V 2.5.1 for several weeks with my 6700 on SSDR, Maestro and SSDR iOS. This morning I turned on the radio and the Maestro. The Maestro presented a radio selection screen. I selected my radio (the only shown) and the Maestro displayed a Select a Version screen. I selected 2.5.1 which had no icons. 

The Maestro began downloading.  I had to walk away, but when I came back, it looks like the Maestro had downloaded V 3.0.27 and also updated my 6700. Now the screen on the Maestro says BUY. I launched SSDR V 2.5.1 on my PC and it indicated that the radio needed to be upgraded.

Is Flex pulling a Microsoft and forcing upgrades on us? At least Microsoft doesn't force us to buy the upgrades.
Photo of Mark Erbaugh

Mark Erbaugh

  • 516 Posts
  • 45 Reply Likes

Posted 2 months ago

  • 2
Photo of Lee - N2LEE

Lee - N2LEE

  • 320 Posts
  • 166 Reply Likes
I am little surprised someone would take the time to post a suspected problem without disconnecting and trying to reload the proper version. It seems like it would take longer to post the question than it would to trouble shoot the problem.

Not trying to be a jerk, but i get discouraged when I see licensed amateurs in a hobby that is based on experimentation, troubleshooting and technology and won't take 5 minutes to go through the most basic diagnosis.